import { Component } from '@angular/core';

@Component({
  selector: 'svg-linked-in',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      fill="none"
    >
      <path
        d="M11.4981 14.3995C11.553 14.3995 14.0378 14.399 13.9834 14.399C14.2042 14.399 14.3834 14.2198 14.3834 13.999C14.1968 9.80858 15.3658 5.38672 11.0032 5.38672C10.1642 5.38672 9.49596 5.67312 9.01436 6.05178C9.01436 5.27259 8.17223 5.70352 6.22823 5.58779C6.00743 5.58779 5.82823 5.76699 5.82823 5.98779C5.9893 13.543 5.46876 14.399 6.22823 14.399H8.71356C9.43516 14.399 8.97596 13.3814 9.11356 10.032C9.11356 8.64858 9.51356 8.37765 10.2048 8.37765C10.9696 8.37765 11.0981 8.90885 11.0981 10.0992C11.2352 13.3883 10.7792 14.3995 11.4981 14.3995ZM10.2048 7.57765C7.80956 7.57765 8.31356 10.2112 8.31356 13.599H6.62823V6.38778H8.21436V7.08005C8.21436 7.46405 8.79943 7.65285 9.00316 7.26672C9.26556 6.76858 9.94716 6.18672 11.0032 6.18672C12.8842 6.18672 13.5834 7.11098 13.5834 9.59792V13.5995H11.8981C11.8981 9.78938 12.3013 7.57765 10.2048 7.57765Z"
        fill="#9EADC5"
      />
      <path
        d="M2.18147 5.58845C1.42414 5.58845 1.94254 6.43378 1.78147 13.9996C1.78147 14.2204 1.96067 14.3996 2.18147 14.3996H4.66947C5.4268 14.3996 4.9084 13.5543 5.06947 5.98845C5.06947 5.29778 4.06627 5.70525 2.18147 5.58845ZM4.26947 13.5996H2.58147V6.38845H4.26947V13.5996Z"
        fill="#9EADC5"
      />
      <path
        d="M3.42441 1.59961C0.983881 1.59961 0.998814 5.29507 3.42441 5.29507C5.84841 5.29507 5.86761 1.59961 3.42441 1.59961ZM3.42441 4.49507C2.05481 4.49507 2.04201 2.39961 3.42441 2.39961C4.80948 2.39961 4.79188 4.49507 3.42441 4.49507Z"
        fill="#9EADC5"
      />
    </svg>
  `,
})
export class SvgLinkedInComponent {}
